Update to Version 24.0.1

(From FTM 2019 version 24.0)

BEFORE YOU UPDATE

Make sure that FTM 2019 is installed. The update installer will look for FTM 2019 version 24.0 (build 230) before running.

WHO SHOULD UPDATE

This update is required for all users of FTM 2019 who:

  • Sync with Ancestry
  • Use FamilySearch
  • Use TreeVault services.

It is optional for all other FTM 2019 users.

LEARN MORE

For more information about the 24.0.1 update refer to the following articles:

GETTING THE 24.0.1 UPDATER

Fill out the form below and we'll verify that you own a copy of FTM 2019. Then we'll generate a unique download link for your copy of the update installer which will appear on the last screen and also be sent by email.

How to determine your Family Tree Maker edition
* Required fields